clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::SemanticHighlightingParams Struct Reference

Parameters for the semantic highlighting (server-side) push notification. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::SemanticHighlightingParams:
[legend]

## Public Attributes
TextDocumentIdentifier | TextDocument
| The textdocument these highlightings belong to. More...
std::vector< SemanticHighlightingInformation > | Lines
| The lines of highlightings that should be sent. More...

## Detailed Description

Parameters for the semantic highlighting (server-side) push notification.

Definition at line 1230 of file Protocol.h.

## Member Data Documentation

## ◆ Lines

std::vector<SemanticHighlightingInformation> clang::clangd::SemanticHighlightingParams::Lines

The lines of highlightings that should be sent.

Definition at line 1234 of file Protocol.h.

## ◆ TextDocument

TextDocumentIdentifier clang::clangd::SemanticHighlightingParams::TextDocument

The textdocument these highlightings belong to.

Definition at line 1232 of file Protocol.h.

The documentation for this struct was generated from the following file:

- Protocol.h